<?php
/**
 * Execute the logic of each block to comply with the configuration indicated
 * by the administrator of this site.
 *
 * @package Flat101\Security\Controller
 */

namespace Flat101\Security\Controller;

use Flat101\Security\Service\PagesService;

/**
 * Block Runner class.
 */
class BlocksRunner {

	/**
	 * Execute optimization and security improvements.
	 * Call the 'run()' method of each block.
	 */
	public function run() {
		$service = PagesService::instance();

		foreach ( $service->get_pages() as $page ) {
			foreach ( $page->get_blocks() as $block ) {
				$block->load_settings();
				$block->run();
			}
		}
	}
}
